function a = computeBER(snir_db);

    snir = power(10.0, snir_db/10.0);
	q1 = computeQ( sqrt(4 * snir) );
	q2 = computeQ( sqrt(6 * snir) );
	q3 = computeQ( sqrt(8 * snir) );
	q4 = computeQ( sqrt(10 * snir) );
	q5 = computeQ( sqrt(12 * snir) );
	q6 = computeQ( sqrt(16 * snir) );

	answer1 = 24 * q1 + 16 * q2 + 174 * q3 + 16 * q4 + 24 * q5 + q6;
	answer1 = min(answer1,0.99999);
	BER = answer1 * 128.0/255.0;
	BER

